# HG changeset patch
# Node ID 1a09f20c28a1
# Parent  5dca05f85b18
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -122,7 +122,6 @@
 subdir('gplugin-gtk4')
 subdir('gplugin-gtk4-viewer')
 subdir('gplugin-query')
-subdir('packaging')
 subdir('po')
 
 subdir('lua')
diff --git a/packaging/debian/changelog b/packaging/debian/changelog
deleted file mode 100644
--- a/packaging/debian/changelog
+++ /dev/null
@@ -1,80 +0,0 @@
-gplugin (0.38.1) UNRELEASED; urgency=medium
-
-  * New upstream release.
-
- -- Gary Kramlich <grim@reaperworld.com>  Fri, 02 Sep 2022 19:45:54 -0500
-
-gplugin (0.35.0) unstable; urgency=medium
-
-  * Renamed gir1.2-gplugin-gtk-1.0 to gir1.2-gplugin-gtk3-1.0
-  * Renamed libgplugin-gtk-bin to libgplugin-gtk3-bin
-  * Renamed libgplugin-gtk-dev to libgplugin-gtk3-dev
-  * Renamed libgplugin-gtk0 to libgplugin-gtk3-0
-
- -- Gary Kramlich <grim@reaperworld.com>  Fri, 02 Sep 2022 19:45:51 -0500
-
-gplugin (0.28.3) unstable; urgency=medium
-
-  * New upstream release, see official changelog
-
- -- Gary Kramlich <grim@reaperworld.com>  Thu, 07 Nov 2019 23:03:46 -0600
-
-gplugin (0.28.2) unstable; urgency=medium
-
-  * New upstream release, see official changelog 
-
- -- Gary Kramlich <grim@reaperworld.com>  Thu, 31 Oct 2019 23:02:44 -0600
-
-gplugin (0.26) unstable; urgency=medium
-
-  * New upstream release, see official changelog
-
- -- Gary Kramlich <grim@reaperworld.com>  Mon, 18 Apr 2016 22:31:30 -0500
-
-gplugin (0.25) unstable; urgency=medium
-
-  * New upstream release, see official changelog
-
- -- Gary Kramlich <grim@reaperworld.com>  Sat, 06 Feb 2016 20:28:53 -0600
-
-gplugin (0.24.1) unstable; urgency=medium
-
-  * New upstream release, see official changelog
-
- -- Gary Kramlich <grim@reaperworld.com>  Sat, 06 Feb 2016 20:28:47 -0600
-
-gplugin (0.0.24) unstable; urgency=medium
-
-  * New upstream release, see official changelog
-
- -- Gary Kramlich <grim@reaperworld.com>  Thu, 28 Jan 2016 22:38:05 -0600
-
-gplugin (0.0.23) unstable; urgency=medium
-
-  * New release, see official changelog
-
- -- Gary Kramlich <grim@reaperworld.com>  Wed, 06 Jan 2016 23:05:37 -0600
-
-gplugin (0.0.21) unstable; urgency=medium
-
-  * New release, see official changelog
-
- -- Gary Kramlich <grim@reaperworld.com>  Mon, 29 Jun 2015 21:05:07 -0500
-
-gplugin (0.0.20) unstable; urgency=medium
-
-  * New release, see official changelog
-
- -- Gary Kramlich <grim@reaperworld.com>  Mon, 29 Jun 2015 21:04:51 -0500
-
-gplugin (0.0.19) unstable; urgency=medium
-
-  * New release, see official changelog
-
- -- Gary Kramlich <grim@reaperworld.com>  Thu, 07 May 2015 21:50:20 -0500
-
-gplugin (0.0.18) unstable; urgency=medium
-
-  * Initial release.
-
- -- Gary Kramlich <grim@reaperworld.com>  Wed, 06 May 2015 10:43:35 -0500
diff --git a/packaging/debian/clean b/packaging/debian/clean
deleted file mode 100644
--- a/packaging/debian/clean
+++ /dev/null
@@ -1,1 +0,0 @@
-build
diff --git a/packaging/debian/compat b/packaging/debian/compat
deleted file mode 100644
--- a/packaging/debian/compat
+++ /dev/null
@@ -1,1 +0,0 @@
-10
diff --git a/packaging/debian/control b/packaging/debian/control
deleted file mode 100644
--- a/packaging/debian/control
+++ /dev/null
@@ -1,158 +0,0 @@
-Source: gplugin
-Section: libs
-Priority: optional
-Maintainer: Gary Kramlich <grim@reaperworld.com>
-Build-Depends: debhelper (>=9),
-               meson (>=0.56.0), libglib2.0-dev,
-               libgtk-4-dev,
-               gettext, help2man,
-               gobject-introspection, libgirepository1.0-dev,
-               liblua5.3-dev, lua-lgi,
-               python3-dev, python-gi-dev, python3-gi,
-               valac
-Homepage: https://keep.imfreedom.org/gplugin/gplugin
-Vcs-Browser: https://keep.imfreedom.org/gplugin/gplugin/file/default
-Vcs-Hg: https://keep.imfreedom.org/gplugin/gplugin
-Standards-Version: 3.9.8
-
-Package: libgplugin0
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libglib2.0-0 (>=2.44.0)
-Recommends: libgplugin-loaders
-Description: GObject based plugin library
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package contains the main library.
-
-Package: libgplugin0-bin
-Architecture: any
-Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgplugin0 (= ${binary:Version}), libglib2.0-0 (>=2.44.0)
-Description: GObject based plugin library utilities
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package contains utilities for the library.
-
-Package: libgplugin-dev
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libgplugin0 (= ${binary:Version}), libglib2.0-dev
-Description: Development files for libgplugin
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package includes the files used for development against libgplugin.
-
-Package: gir1.2-gplugin-1.0
-Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, libgplugin0
-Section: introspection
-Description: typelib for libgplugin
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package can be used by other packages using the GIRepository format to
- generate dynamic bindings for libgplugin.
-
-Package: libgplugin-loaders
-Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         libgplugin-lua,
-         libgplugin-perl5,
-         libgplugin-python3
-Description: metapackage for all gplugin loaders
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package will install all of the gplugin loaders.
-
-Package: libgplugin-gtk4-0
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgtk-4-1, libgplugin0
-Description: GTK4 bindings for GPlugin
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This library provides some default GTK4 widgets for GPlugin.
-
-Package: libgplugin-gtk4-dev
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libgtk-4-dev, libgplugin-gtk4-0 (= ${binary:Version})
-Conflicts: libgplugin-gtk-dev
-Replaces: libgplugin-gtk-dev
-Description: Development file for libgplugin-gtk4-0
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This library provides the developmental headers for the GPlugin GTK4 bindings.
-
-Package: libgplugin-gtk4-bin
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgplugin-gtk4-0
-Conflicts: libgplugin-gtk-bin
-Replaces: libgplugin-gtk-bin
-Description: Programs for the GTK4 interface to GPlugin
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package contains the gplugin-gtk4-viewer application for viewing plugins.
-
-Package: gir1.2-gplugin-gtk4-1.0
-Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, libgplugin0, libgplugin-gtk4-0
-Section: introspection
-Description: typelib for libgplugin
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package can be used by other packages using the GIRepository format to
- generate dynamic bindings for libgplugin-gtk4.
-
-Package: libgplugin-lua
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, liblua5.1-0,
-         libgplugin0, gir1.2-gplugin-1.0
-Description: GPlugin Lua Loader
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package allows GPlugin to load plugins written in the Lua programming
- language.
-
-Package: libgplugin-python3
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-gi,
-         libgplugin0, gir1.2-gplugin-1.0
-Description: GPlugin Python3 Loader
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package allows GPlugin to load plugins written in the Python3 programming
- language.
-
-Package: libgplugin-perl5
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, perl, libglib-perl,
-         libglib-object-introspection-perl, libgplugin0, gir1.2-gplugin-1.0
-Description: GPlugin Perl5 Loader
- GPlugin is a GObject based library that implements a reusable plugin system
- which supports loading plugins in other languages via loaders. It relies
- heavily on GObjectIntrospection to expose its API to the other languages.
- .
- This package allows GPlugin to load plugins written in the Perl5 programming
- language.
-
diff --git a/packaging/debian/copyright b/packaging/debian/copyright
deleted file mode 100644
--- a/packaging/debian/copyright
+++ /dev/null
@@ -1,25 +0,0 @@
-Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
-Upstream-Name: gplugin
-Upstream-Contact: grim@reaperworld.com
-Source: https://keep.imfreedom.org/gplugin/gplugin
-
-Files: *
-Copyright: 2011-2014 Gary Kramlich <grim@reaperworld.com>
-License: LGPL-2+
-
-License: LGPL-2+
- This library is free software; you can redistribute it and/or
- modify it under the terms of the GNU Lesser General Public
- License as published by the Free Software Foundation; either
- version 2 of the License, or (at your option) any later version.
- .
- This library is distributed in the hope that it will be useful,
- but WITHOUT ANY WARRANTY; without even the implied warranty of
- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- Lesser General Public License for more details.
- .
- You should have received a copy of the GNU Lesser General Public
- License along with this library; if not, see <https://www.gnu.org/licenses/>.
- .
- On Debian systems, the complete text of the GNU Lesser General Public License
- can be found in /usr/share/common-licenses/LGPL-2.
diff --git a/packaging/debian/gir1.2-gplugin-1.0.install b/packaging/debian/gir1.2-gplugin-1.0.install
deleted file mode 100644
--- a/packaging/debian/gir1.2-gplugin-1.0.install
+++ /dev/null
@@ -1,1 +0,0 @@
-debian/tmp/usr/lib/*/girepository-1.0/GPlugin-1.0.typelib
diff --git a/packaging/debian/gir1.2-gplugin-gtk4-1.0.install b/packaging/debian/gir1.2-gplugin-gtk4-1.0.install
deleted file mode 100644
--- a/packaging/debian/gir1.2-gplugin-gtk4-1.0.install
+++ /dev/null
@@ -1,1 +0,0 @@
-debian/tmp/usr/lib/*/girepository-1.0/GPluginGtk4-1.0.typelib
diff --git a/packaging/debian/libgplugin-dev.install b/packaging/debian/libgplugin-dev.install
deleted file mode 100644
--- a/packaging/debian/libgplugin-dev.install
+++ /dev/null
@@ -1,7 +0,0 @@
-debian/tmp/usr/include/gplugin-1.0
-debian/tmp/usr/lib/*/libgplugin.so
-debian/tmp/usr/lib/*/pkgconfig/gplugin.pc
-debian/tmp/usr/share/gir-1.0/GPlugin-1.0.gir
-debian/tmp/usr/share/gplugin/valgrind/gplugin.supp
-debian/tmp/usr/share/vala/vapi/gplugin.deps
-debian/tmp/usr/share/vala/vapi/gplugin.vapi
diff --git a/packaging/debian/libgplugin-gtk4-0.install b/packaging/debian/libgplugin-gtk4-0.install
deleted file mode 100644
--- a/packaging/debian/libgplugin-gtk4-0.install
+++ /dev/null
@@ -1,1 +0,0 @@
-debian/tmp/usr/lib/*/libgplugin-gtk4.so.*
diff --git a/packaging/debian/libgplugin-gtk4-0.triggers b/packaging/debian/libgplugin-gtk4-0.triggers
deleted file mode 100644
--- a/packaging/debian/libgplugin-gtk4-0.triggers
+++ /dev/null
@@ -1,1 +0,0 @@
-activate-noawait ldconfig
diff --git a/packaging/debian/libgplugin-gtk4-bin.install b/packaging/debian/libgplugin-gtk4-bin.install
deleted file mode 100644
--- a/packaging/debian/libgplugin-gtk4-bin.install
+++ /dev/null
@@ -1,3 +0,0 @@
-debian/tmp/usr/bin/gplugin-gtk4-viewer
-debian/tmp/usr/share/man/man1/gplugin-gtk4-viewer.1
-
diff --git a/packaging/debian/libgplugin-gtk4-dev.install b/packaging/debian/libgplugin-gtk4-dev.install
deleted file mode 100644
--- a/packaging/debian/libgplugin-gtk4-dev.install
+++ /dev/null
@@ -1,4 +0,0 @@
-usr/include/gplugin-gtk4-1.0
-debian/tmp/usr/lib/*/libgplugin-gtk4.so
-debian/tmp/usr/lib/*/pkgconfig/gplugin-gtk4.pc
-debian/tmp/usr/share/gir-1.0/GPluginGtk4-1.0.gir
diff --git a/packaging/debian/libgplugin-lua.install b/packaging/debian/libgplugin-lua.install
deleted file mode 100644
--- a/packaging/debian/libgplugin-lua.install
+++ /dev/null
@@ -1,1 +0,0 @@
-debian/tmp/usr/lib/*/gplugin/gplugin-lua.so
diff --git a/packaging/debian/libgplugin-perl5.install b/packaging/debian/libgplugin-perl5.install
deleted file mode 100644
--- a/packaging/debian/libgplugin-perl5.install
+++ /dev/null
@@ -1,1 +0,0 @@
-debian/tmp/usr/lib/*/gplugin/gplugin-perl5.so
diff --git a/packaging/debian/libgplugin-python3.install b/packaging/debian/libgplugin-python3.install
deleted file mode 100644
--- a/packaging/debian/libgplugin-python3.install
+++ /dev/null
@@ -1,1 +0,0 @@
-debian/tmp/usr/lib/*/gplugin/gplugin-python3.so
diff --git a/packaging/debian/libgplugin0-bin.install b/packaging/debian/libgplugin0-bin.install
deleted file mode 100644
--- a/packaging/debian/libgplugin0-bin.install
+++ /dev/null
@@ -1,2 +0,0 @@
-debian/tmp/usr/bin/gplugin-query
-debian/tmp/usr/share/man/man1/gplugin-query.1
diff --git a/packaging/debian/libgplugin0.install b/packaging/debian/libgplugin0.install
deleted file mode 100644
--- a/packaging/debian/libgplugin0.install
+++ /dev/null
@@ -1,1 +0,0 @@
-debian/tmp/usr/lib/*/libgplugin.so.*
diff --git a/packaging/debian/libgplugin0.postrm b/packaging/debian/libgplugin0.postrm
deleted file mode 100755
--- a/packaging/debian/libgplugin0.postrm
+++ /dev/null
@@ -1,7 +0,0 @@
-#/bin/sh
-
-set -e
-
-#DEBHELPER#
-
-exit 0
diff --git a/packaging/debian/libgplugin0.triggers b/packaging/debian/libgplugin0.triggers
deleted file mode 100644
--- a/packaging/debian/libgplugin0.triggers
+++ /dev/null
@@ -1,1 +0,0 @@
-activate-noawait ldconfig
diff --git a/packaging/debian/rules b/packaging/debian/rules
deleted file mode 100755
--- a/packaging/debian/rules
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/usr/bin/make -f
-
-export DH_VERBOSE = 1
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-export ARTIFACTS_DIR ?= ..
-
-BUILD_DIR := debian/build
-
-%:
-	dh $@ --with gir
-
-override_dh_auto_clean:
-	rm -rf $(BUILD_DIR)
-
-override_dh_auto_configure:
-	mkdir -p $(BUILD_DIR)
-	meson --prefix /usr --warnlevel 3 $(BUILD_DIR)
-
-override_dh_auto_build:
-	ninja -v -C $(BUILD_DIR)
-
-override_dh_auto_test:
-	ninja -v -C $(BUILD_DIR) test
-
-override_dh_auto_install:
-	DESTDIR=$(CURDIR)/debian/tmp ninja -v -C $(BUILD_DIR) install
-
-override_dh_builddeb:
-	# copy the dsc and the tar file to the uploads dir
-	cp ../gplugin_*.dsc ../gplugin_*.tar.* $(ARTIFACTS_DIR)
-	dh_builddeb $@ --destdir=$(ARTIFACTS_DIR)
-
diff --git a/packaging/debian/source/format b/packaging/debian/source/format
deleted file mode 100644
--- a/packaging/debian/source/format
+++ /dev/null
@@ -1,2 +0,0 @@
-3.0 (native)
-
diff --git a/packaging/debian/source/options b/packaging/debian/source/options
deleted file mode 100644
--- a/packaging/debian/source/options
+++ /dev/null
@@ -1,3 +0,0 @@
-compression = xz
-compression-level = 9
-
diff --git a/packaging/gplugin.spec.in b/packaging/gplugin.spec.in
deleted file mode 100644
--- a/packaging/gplugin.spec.in
+++ /dev/null
@@ -1,277 +0,0 @@
-Name:		gplugin
-Version:	@GPLUGIN_MAJOR_VERSION@.@GPLUGIN_MINOR_VERSION@.@GPLUGIN_MICRO_VERSION@
-%if "@GPLUGIN_EXTRA_VERSION@" == ""
-Release:    1.%{?build_number}%{?!build_number:1}%{?dist}
-%else
-Release:    0.%{?build_number}%{?!build_number:1}%{?dist}
-%endif
-License:	LGPL-2.0+
-Summary:	A GObject based library that implements a reusable plugin system
-Url:		https://keep.imfreedom.org/rw_grim/gplugin/overview
-Group:		Development/Libraries
-
-BuildRequires:	meson >= 0.56.0
-BuildRequires:	glib2-devel >= 2.44.0
-BuildRequires:	gobject-introspection-devel
-BuildRequires:	gettext
-BuildRequires:	gtk4-devel
-BuildRequires:	help2man
-BuildRequires:	libxslt
-BuildRequires:	lua-devel
-BuildRequires:	lua-lgi
-BuildRequires:	python3-devel
-BuildRequires:	python3-gobject
-BuildRequires:	vala
-BuildRequires:	perl-Glib
-BuildRequires:	perl-Glib-Object-Introspection
-%if 0%{?fedora}
-BuildRequires:	perl-devel
-%endif
-%if 0%{?opensuse}
-BuildRequires:	perl-ExtUtils-Config
-%endif
-
-%package -n libgplugin0
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-
-%package devel
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-Requires:	%{name}%{?_isa} = %{version}-%{release}
-
-%package gtk4
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-
-%package gtk4-devel
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-Requires:	%{name}-gtk4%{?_isa} = %{version}-%{release}
-Requires:	%{name}-devel%{?_isa} = %{version}-%{release}
-
-%package gtk4-vala
-Summary:       A GObject based library that implements a reusable plugin system
-Group:         Development/Libraries
-Requires:      %{name}-gtk4%{?_isa} = %{version}-%{release}
-Requires:      %{name}-vala%{?_isa} = %{version}-%{release}
-
-%package lua
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-
-%package perl5
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-
-%package python3
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-
-%package vala
-Summary:	A GObject based library that implements a reusable plugin system
-Group:		Development/Libraries
-Requires:	%{name}-devel%{?_isa} = %{version}-%{release}
-
-%description
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-%description -n libgplugin0
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-%description devel
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains all necessary include files and libraries needed
-to develop applications that require these.
-
-%description gtk4
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains additional GTK4 dependencies for %{name} library.
-
-%description gtk4-devel
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains all necessary include files and libraries needed
-to develop GTK4 applications that require these.
-
-%description gtk4-vala
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains the vapi bindings allowing GPluginGtk4 to be used from
-vala.
-
-%description lua
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains the Lua Loader for %{name} library.
-
-%description perl5
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains Perl loader for %{name} library.
-
-%description python3
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains Python3 loader for %{name} library.
-
-%description vala
-GPlugin is a GObject based library that implements a reusable plugin system
-that supports loading plugins in other languages via loaders.  GPlugin also
-implements dependencies among the plugins.
-
-This package contains the vapi bindings allowing GPlugin to be used from vala.
-
-%build
-CFLAGS="%{optflags}" meson \
-	--prefix=%{_prefix} \
-	build
-
-ninja -C build %{?_smp_mflags}
-
-%install
-DESTDIR=%{buildroot} ninja -C build install
-
-# Unneeded files
-rm -rf %{buildroot}%{_datadir}/doc/gplugin/
-
-%post  -n libgplugin0 -p /sbin/ldconfig
-
-%postun  -n libgplugin0 -p /sbin/ldconfig
-
-%post -n gplugin-gtk4 -p /sbin/ldconfig
-
-%postun -n gplugin-gtk4 -p /sbin/ldconfig
-
-%files
-%defattr(-,root,root)
-%doc README.md ChangeLog
-%license COPYING
-%{_bindir}/gplugin-query
-%{_libdir}/gplugin/
-%{_mandir}/man1/gplugin-query.1*
-
-%files -n libgplugin0
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_libdir}/libgplugin.so.0.1.0
-
-%files devel
-%defattr(-,root,root)
-%doc HACKING.md README.md
-%license COPYING
-%{_datadir}/gplugin/
-%{_datadir}/gir-1.0/GPlugin-1.0.gir
-%{_datadir}/doc/gplugin/
-%{_includedir}/gplugin-1.0/
-%{_libdir}/girepository-1.0/GPlugin-1.0.typelib
-%{_libdir}/libgplugin.so
-%{_libdir}/libgplugin.so.0
-%{_libdir}/pkgconfig/gplugin.pc
-
-%files gtk4
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_bindir}/gplugin-gtk4-viewer
-%{_libdir}/libgplugin-gtk4.so.0.1.0
-%{_mandir}/man1/gplugin-gtk4-viewer.1*
-
-%files gtk4-devel
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_datadir}/gir-1.0/GPluginGtk4-1.0.gir
-%{_datadir}/doc/gplugin-gtk4/
-%{_includedir}/gplugin-gtk4-1.0/
-%{_libdir}/girepository-1.0/GPluginGtk4-1.0.typelib
-%{_libdir}/libgplugin-gtk4.so
-%{_libdir}/libgplugin-gtk4.so.0
-%{_libdir}/pkgconfig/gplugin-gtk4.pc
-
-%files gtk4-vala
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_datadir}/vala/vapi/gplugin-gtk4.vapi
-%{_datadir}/vala/vapi/gplugin-gtk4.deps
-
-%files lua
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_libdir}/gplugin/gplugin-lua.so
-
-%files perl5
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_libdir}/gplugin/gplugin-perl5.so
-
-%files python3
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_libdir}/gplugin/gplugin-python3.so
-
-%files vala
-%defattr(-,root,root)
-%doc README.md
-%license COPYING
-%{_datadir}/vala/vapi/gplugin.vapi
-%{_datadir}/vala/vapi/gplugin.deps
-
-%changelog
-* Fri Sep 02 2022 Gary Kramlich <grim@reaperworld.com>
-- Removed gplugin-gtk3
-- Removed gplugin-gtk3-devel
-- Removed gplugin-gtk3-vala
-
-* Wed Sep 29 2021 Gary Kramlich <grim@reaperworld.com>
-- Renamed gplugin-gtk to gplugin-gtk3
-- Renamed gplugin-gtk-devel to gplugin-gtk3-devel
-- Renamed gplugin-gtk-vala to gplugin-gtk3-vala
-
-* Thu Sep 02 2021 Gary Kramlich <grim@reaperworld.com>
-- Update the devel packages for gi-docgen
-
-* Tue Aug 25 2020 Gary Kramlich <grim@reaperworld.com>
-- Updated the perl packages for its new name.
-
-* Tue Feb 18 2020 Gary Kramlich <grim@reaperworld.com>
-- Add the perl package
-- Updated the python files to reference the new name for gplugin-python3
-
-* Thu Oct 31 2019 Gary Kramlich <grim@reaperworld.com>
-- Fixed an include bug in gplugin-gtk
-- Fixed building again python3.8
-
-* Mon Aug 12 2019 Gary Kramlich <grim@reaperworld.com>
-- Added vala
-
-* Sun May 15 2016 Gary Kramlich <grim@reaperworld.com>
-- Updates and pulled upstream
-
-* Mon May 4 2015 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.0.18-1
-- Initial package release
diff --git a/packaging/meson.build b/packaging/meson.build
deleted file mode 100644
--- a/packaging/meson.build
+++ /dev/null
@@ -1,4 +0,0 @@
-configure_file(
-	input : 'gplugin.spec.in',
-	output : 'gplugin.spec',
-	configuration : version_conf)
